//
// Vec.cpp
//
// 数学のベクトルを表すクラスの実装部
//

#include <iostream>  // 標準出力を使用するため
#include "Vec.h"     // Vec クラスの宣言部(プロトタイプ宣言)をinclude
using namespace std; // OMAJINAI

// コンストラクタ。x と y を 0 で初期化する
Vec::Vec() {
	this->x = 0;
	this->y = 0;
}

// コンストラクタ。x と y を引数 n にして初期化する
Vec::Vec(int n) {
	this->x = this->y = n;
}

// コンストラクタ。x = n1, y = n2 で初期化する
Vec::Vec(int n1, int n2) {
	this->x = n1;
	this->y = n2;
}

// ベクトルの文字列表記を標準出力に出力
void Vec::Print() {
	cout << "(" << x << ", " << y << ")\n";
}

// 自分自身のベクトルをスカラー倍する
void Vec::ScalarMultiply(int n) {
	x *= n;
	y *= n;
}

