//
// Vec.h
//
// 数学のベクトルを表すクラスの宣言部(プロトタイプ宣言)
//

class Vec {
public:
	// --------------
	// コンストラクタ
	// --------------
	// コンストラクタに限らず、引数の型や個数が違っていれば
	// 同じ名前で関数を宣言できる
	Vec();               // コンストラクタ。x と y を 0 で初期化
	Vec(int n);          // コンストラクタ。x と y を引数 n にして初期化
	Vec(int n1, int n2); // コンストラクタ。x = n1, y = n2 で初期化

	// ----------
	// メンバ変数
	// ----------
	int x;
	int y;

	// ---------------------
	// メンバ関数 (メソッド)
	// ---------------------
	void Print();               // ベクトルの文字列表記を標準出力に出力
	void ScalarMultiply(int n); // 自分自身のベクトルをスカラー倍する


	// ------------------------------------
	// 以下は暇だったら自分で実装してみてね
	// ------------------------------------
	
	// 自身のベクトルに引数のベクトルを足す関数
	// void Add(Vec v);
	
	// 自身のベクトルと引数のベクトルとの内積を返す関数
	// int InnerProduct(Vec v)
};

